<minilesson uid="marcupic.diglog.lect.de-vhdl-04" version="1" minorVersion="0">
  <about>
    <supportedLanguages>
      <language lang="hr"/>
      <language lang="en"/>
    </supportedLanguages>
    <title>
      <string text="VHDL: strukturni modeli" lang="hr"/>
      <string text="VHDL: structural models" lang="en"/>
    </title>
    <authors>
      <author firstName="Marko" lastName="Čupić" email="Marko.Cupic@fer.hr"/>
    </authors>
    <tags>
      <string text="Digitalna logika" lang="hr" />
      <string text="Digital logic" lang="en" />
      <string text="VHDL" lang="hr" />
      <string text="VHDL" lang="en" />
    </tags>
  </about>
  <optionKeys>
    <option key="yes"><string text="da" lang="hr"/><string text="yes" lang="en"/></option>
    <option key="no"><string text="ne" lang="hr"/><string text="no" lang="en"/></option>
    <option key="cont"><string text="nastavi" lang="hr"/><string text="continue" lang="en"/></option>
    <option key="ret"><string text="povratak" lang="hr"/><string text="return" lang="en"/></option>
  </optionKeys>
  
  <page id="1">
    <title>
      <string text="Uvod" lang="hr"/>
      <string text="Introduction" lang="en"/>
    </title>
    <file name="page1-hr.html" lang="hr" format="html-snippet"/>
    <file name="page1-en.html" lang="en" format="html-snippet"/>
  </page>
  <page id="2">
    <title>
      <string text="Pojam strukturnog modela" lang="hr"/>
      <string text="Concept of Structural Model" lang="en"/>
    </title>
    <file name="page2-hr.html" lang="hr" format="html-snippet"/>
    <file name="page2-en.html" lang="en" format="html-snippet"/>
  </page>
  <page id="3">
    <title>
      <string text="Pozicijsko povezivanje" lang="hr"/>
      <string text="Positional binding" lang="en"/>
    </title>
    <file name="page3-hr.html" lang="hr" format="html-snippet"/>
    <file name="page3-en.html" lang="en" format="html-snippet"/>
  </page>
  <question id="3a" type="js-custom" handler="question-3a.js">
    <title>
      <string text="Pitanje (1)" lang="hr"/>
      <string text="Question (1)" lang="en"/>
    </title>
    <optionKeys>
      <option key="ret" inherit="true" />
      <option key="cont" inherit="true" />
    </optionKeys>
    <templates>
      <page id="1"><!-- stranica s pitanjem -->
        <file name="question3a-qu-hr.html" lang="hr" format="html-snippet"/>
        <file name="question3a-qu-en.html" lang="en" format="html-snippet"/>
      </page>
      <page id="2"><!-- nije dobro odgovorio; jedina moguća akcija: "ret" -->
        <file name="question3a-er-hr.html" lang="hr" format="html-snippet"/>
        <file name="question3a-er-en.html" lang="en" format="html-snippet"/>
      </page>
      <page id="3"><!-- dobro je odgovorio - rezimira zadatak i rješenje -->
        <file name="question3a-do-hr.html" lang="hr" format="html-snippet"/>
        <file name="question3a-do-en.html" lang="en" format="html-snippet"/>
      </page>
    </templates>
  </question>
  <page id="4">
    <title>
      <string text="Povezivanje putem imena" lang="hr"/>
      <string text="Named binding" lang="en"/>
    </title>
    <file name="page4-hr.html" lang="hr" format="html-snippet"/>
    <file name="page4-en.html" lang="en" format="html-snippet"/>
  </page>
  <question id="4a" type="js-custom" handler="question-3a.js">
    <title>
      <string text="Pitanje (2)" lang="hr"/>
      <string text="Question (2)" lang="en"/>
    </title>
    <optionKeys>
      <option key="ret" inherit="true" />
      <option key="cont" inherit="true" />
    </optionKeys>
    <templates>
      <page id="1"><!-- stranica s pitanjem -->
        <file name="question4a-qu-hr.html" lang="hr" format="html-snippet"/>
        <file name="question4a-qu-en.html" lang="en" format="html-snippet"/>
      </page>
      <page id="2"><!-- nije dobro odgovorio; jedina moguća akcija: "ret" -->
        <file name="question3a-er-hr.html" lang="hr" format="html-snippet"/>
        <file name="question3a-er-en.html" lang="en" format="html-snippet"/>
      </page>
      <page id="3"><!-- dobro je odgovorio - rezimira zadatak i rješenje -->
        <file name="question4a-do-hr.html" lang="hr" format="html-snippet"/>
        <file name="question4a-do-en.html" lang="en" format="html-snippet"/>
      </page>
    </templates>
  </question>
</minilesson>

